# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_MethodDefinition Class Reference

This inherited class is for describing the
definition of a method. This definition is
composed by its name which is readable by the type
function and a collection of variables which
defines the signature of the method definition in
term of arguments passed to the function and also
the useful internal or constant variables if the
function is a composite method. This class is also
a deferred class and can not be used directly
because it is necessary to specify if the method
is compiled, interpreted or composite.
.

`#include <Dynamic_MethodDefinition.hxx>`

Inheritance diagram for Dynamic_MethodDefinition:

[legend]

## Public Member Functions

virtual Standard_EXPORT TCollection_AsciiString | Type () const
| Returns the name of the method definition. .
Standard_EXPORT void | AddVariable (const Handle(Dynamic_Parameter)&aparameter, const Dynamic_ModeEnum amode, const Standard_Boolean agroup=Standard_False)
| Adds a new variable created from the parameter <aparameter>, which defines the name of the variable its type and if necessary its default value, the mode <amode> which precise if it is an in, out, inout, internal or constant variable and the flag <agroup> for accepting a set of homogeneous variables. with the parameter value <aparameter>. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| Useful for debugging. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Dynamic_MethodDefinition (const Standard_CString aname)
| Creates a MethodDefinition with <aname> as type. .

## Private Attributes

Handle_TCollection_HAsciiString | thename

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_MethodDefinition::Dynamic_MethodDefinition | ( | const Standard_CString | aname | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void Dynamic_MethodDefinition::AddVariable | ( | const Handle(Dynamic_Parameter)& | aparameter,
|  | const Dynamic_ModeEnum | amode,
|  | const Standard_Boolean | agroup = `Standard_False`
| ) |

virtual Standard_EXPORT void Dynamic_MethodDefinition::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

| Reimplemented from Dynamic_Method. Reimplemented in Dynamic_CompositMethod.

Standard_EXPORT const Dynamic_MethodDefinition::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_Method. Reimplemented in Dynamic_CompiledMethod, Dynamic_CompositMethod, and Dynamic_InterpretedMethod.

virtual Standard_EXPORT TCollection_AsciiString Dynamic_MethodDefinition::Type | ( |  | ) | const`[virtual]`

| Implements Dynamic_Method.

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_MethodDefinition::thename `[private]`

The documentation for this class was generated from the following file:

- Dynamic_MethodDefinition.hxx